★ TouchArcade needs your help. Click here to support us on Patreon.

tell me why I should care about jailbreakers

04-15-2010, 09:32 AM
#1
Joined: Apr 2009
Location: Pennsylvania
Posts: 1,005
tell me why I should care about jailbreakers

After putting out a CardShark update with iPad support, I recieved a hostile, profanity-ridden email because the game (now a universal build using 3.1.3 OS) no longer works as-is on jailbroken phones stuck at older OS version.

I don't know anyone personally with a jailbroken phone, nor do I fully understand the issues involved. Should I care? Do people that jailbreak represent a significant number of paying customers? I guess I'll find out soon enough. It was extremely difficult getting this built and working on multiple devices. iPad has different requirements for photo picker APIs, and was tricky getting the app to build/link correctly for both devices. Here I thought I was doing a good thing going the universal route, but maybe next time I'll think twice.
04-15-2010, 09:34 AM
#2
Joined: Feb 2009
Posts: 2,513
tell me why we should answer threads posted in the wrong forum ?

Stop viewing Signatures
->editoptions->Scroll down to "Thread Display Options"->Uncheck "Show Signatures"->Scroll down, hit "Save Changes"

04-15-2010, 09:35 AM
#3
Joined: Dec 2009
Location: Italy
Posts: 269
wrong section

i'm playing:Labyrinth 2,Cobra Command,Doodle Jump,Dr. Nano x,Sword of Fargoal.
Labyrinth 2 ID A4KJ6QLB
Betatested: Superfall(Craneballs Studios)
Dr.Nano X (Mission Critical Studios)
04-15-2010, 09:37 AM
#4
Joined: Dec 2009
Location: Italy
Posts: 269
however,i don't think that you should care of jailbreak users...

i'm playing:Labyrinth 2,Cobra Command,Doodle Jump,Dr. Nano x,Sword of Fargoal.
Labyrinth 2 ID A4KJ6QLB
Betatested: Superfall(Craneballs Studios)
Dr.Nano X (Mission Critical Studios)
04-15-2010, 09:45 AM
#5
Don't you also have a problem with regular iPod Touch users who don't want to pay for the OS upgrade?
04-15-2010, 09:48 AM
#6
Joined: Feb 2010
Location: Candy Mountain, Charlie!
Posts: 658
Actually, I believe you shouldn't change the game 3.1.3. There really is no difference.
04-15-2010, 09:59 AM
#7
There's no reason or any practical way to support them properly as a jailbroken device can be configured in all sorts of crazy ways, so it's impossible to test against properly. Sometimes even the jailbreak itself will cause clashes with the Apple APIs so jailbroken users are really on their own as far as support is concerned and trying to 'fix' your game to make it work on jailbroken devices runs the risk of actually breaking it for the 90% of customers who are running it normally.

Having said that, there's no reason to actively block jailbreaking from your game, doing so would be a bit pointless and again runs the risk of breaking it for normal gamers.

A general rule of thumb for support emails, the hostile and profanity laced ones go to the bottom of the pile if the junk mail filter hasn't already dumped them
04-15-2010, 10:07 AM
#8
Joined: Apr 2009
Location: Pennsylvania
Posts: 1,005
Quote:
Originally Posted by Uptown Arts View Post
Don't you also have a problem with regular iPod Touch users who don't want to pay for the OS upgrade?
http://www.iphoneheat.com/2010/02/ip...d-touch-users/
04-15-2010, 10:29 AM
#9
Quote:
That's great. I wonder why the Apple support site is still asking for $4.95? http://www.apple.com/ipodtouch/software-update.html